*,
*::before,
*::after {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    scroll-behavior: smooth;
}

* span,
* strong {
    white-space: nowrap;
}

:root {
    --bgcolor: #fff;
}

body {
    font-family: "Montserrat", Helvetica, Arial, serif, ui-sans-serif, system-ui, -apple-system, BlinkMacSystemFont, "Segoe UI", Roboto, "Helvetica Neue", Arial, "Noto Sans", sans-serif, "Apple Color Emoji", "Segoe UI Emoji", "Segoe UI Symbol", "Noto Color Emoji";
    font-size: 1rem;
    font-weight: 400;
    line-height: 1.45;
    color: #6e6b7b;
    white-space: wrap;
    background-color: #f8f8f8;
    /*#120e1a;*/
    letter-spacing: 0.01rem;
    -webkit-text-size-adjust: 100%;
    -webkit-tap-highlight-color: rgba(14, 112, 113, 0);
    -webkit-font-smoothing: antialiased;
}

b,
strong {
    font-weight: 600;
}

h2,
h4,
h6 {
    margin-top: 0;
    margin-bottom: 0.5rem;
    font-weight: 500;
    line-height: 1.2;
    color: #5e5873;
}

hr {
    margin: 1rem 0;
    color: #ebe9f1;
    background-color: currentColor;
    border: 0;
    opacity: 1;
    height: 1px;
}

hr.second-line {
    margin: 12px 0;
}

hr.third-line {
    margin: 0.8rem 0 1rem 0;
}

.content-container {
    display: flex;
    justify-content: center;
    align-items: center;
    min-height: 100dvh;
    overflow: hidden;
}

.wrapper-content-body {
    padding-bottom: 20px;
    opacity: 0;
    transition: opacity 0.3s ease;
}

.visible {
    opacity: 1;
}

.invisible {
    opacity: 0;
}

.parent {
    position: relative;
    display: grid;
    grid-template-columns: repeat(2, 200px);
    grid-template-rows: repeat(6, auto);
    grid-column-gap: 0px;
    grid-row-gap: 0px;
    width: 100%;
    max-width: 400px;
    margin: auto;
    background-color: transparent;
}

.employee-detail,
.medical-detail,
.medical-remarks {
    font-size: 13.9px;
}

.emp-name,
.emp-badge,
.emp-company,
.det-duration,
.det-start-date,
.det-end-date,
.det-health-facility,
.dr-detail,
.published-date {
    display: flex;
    justify-content: space-between;
    align-items: center;
    flex-direction: row;
}

.div1 {
    grid-area: 1 / 1 / 2 / 3;
    width: 100%;
    max-height: 100px;
    text-align: center;
    margin-top: 1.3rem;
    background-color: transparent;
    z-index: -1;
}

.div2 {
    grid-area: 2 / 1 / 7 / 3;
    width: 100%;
    height: 100%;
    background-color: var(--bgcolor);
    box-shadow: 0 4px 24px 0 rgba(14, 112, 113, 0.1);
    overflow: hidden;
    border-radius: 4px;
    transform: translateY(-3px);
    z-index: 0;
}

.div3 {
    grid-area: 2 / 1 / 3 / 3;
    text-align: center;
    padding: 1.4rem 1.3rem 0 1.3rem;
    z-index: 1;
}

h2.id-title {
    font-size: 18px;
    text-align: center;
    font-weight: 600;
    margin-bottom: 1rem;
    word-wrap: break-word;
}

h4.en-title {
    text-align: center;
    font-style: italic;
    margin-top: -16px;
    font-weight: lighter;
    word-wrap: break-word;
    font-size: 17.8px;
    filter: blur(0.2px);
}

h4.letter-num {
    text-align: center;
    margin-top: -2px;
    font-weight: lighter;
    font-size: 17.7px;
    filter: blur(0.3px);
    letter-spacing: 0.4px;
    white-space: nowrap;
}

h4.letter-status {
    text-align: center;
    margin-top: -2px;
    font-size: 17.8px;
    margin-bottom: -2px;
}

.div4 {
    grid-area: 3 / 1 / 4 / 3;
    padding: 0 1.3rem;
    z-index: 1;
}

.name-label,
.badge-label,
.company-label,
.duration-label,
.sd-label,
.ed-label,
.hf-label,
.dr-label,
.pub-label {
    width: 100%;
    filter: blur(0.2px);
    max-width: 137px;
    margin-bottom: 2px;
    margin-left: 1px;
}

.content-separate {
    margin-bottom: 3px;
    text-align: center;
}

.content-separate::after {
    content: ":";
    padding: 0 10px;
}

.name-content,
.badge-content,
.company-content,
.duration-content,
.sd-content,
.ed-content,
.hf-content,
.dr-title,
.pub-content {
    width: 100%;
    margin-bottom: 3px;
    margin-left: 1px;
    font-weight: bold;
}

.id-title,
.en-title,
.name-content,
.badge-content,
.company-content,
.hf-content {
    text-transform: uppercase;
}

.div5 {
    grid-area: 4 / 1 / 5 / 3;
    padding: 0 1.3rem;
    z-index: 1;
}

h6.id-desc {
    font-size: 14px;
    font-weight: 600;
    margin-bottom: 1rem;
}

.en-desc {
    font-size: 14px;
    text-align: left;
    font-style: italic;
    margin-top: -15px;
    margin-bottom: 8px;
    font-weight: lighter;
    line-height: 1.2;
}

.div6 {
    grid-area: 5 / 1 / 6 / 3;
    padding: 0 1.3rem;
    z-index: 1;
}

.div7 {
    grid-area: 6 / 1 / 7 / 3;
    padding: 0 1.3rem 1.3rem 1.3rem;
    z-index: 1;
}

.letter-status img {
    height: 20px;
    vertical-align: middle;
    margin-bottom: 1px;
    margin-left: 5px;
}

.div8 {
    grid-area: 1 / 1 / 2 / 2;
}

.div9 {
    grid-area: 6 / 2 / 7 / 3;
}

@media screen and (max-width: 424px) {

    * span,
    * strong {
        white-space: break-spaces;
    }
}

@media screen and (max-width: 438px) {
    .parent {
        grid-template-columns: repeat(2, auto);
        width: 90%;
    }

    h4.letter-num {
        filter: none;
    }
}

@media screen and (max-width: 438px),
screen and (min-width: 990px) {
    h4.letter-num {
        white-space: break-spaces;
    }
}

@media screen and (min-width: 575px) {
    .div8 {
        position: absolute;
        width: 244px;
        height: 243px;
        top: -33px;
        left: -46px;
        background-image: url("/assets/img/watermark-top.png");
        z-index: -1;
        background-color: transparent !important;
    }

    .div9 {
        position: absolute;
        width: 272px;
        height: 272px;
        bottom: -45px;
        right: -75px;
        background-image: url("/assets/img/watermark-bottom.png");
        z-index: -1;
        background-color: transparent !important;
    }
}

@media screen and (max-width: 767px) {
    .login-btn {
        display: none !important;
    }
}

@media screen and (max-width: 989px) {
    .div1 {
        background-color: var(--bgcolor);
    }

    .divx1.home-card {
        border-radius: 1px !important;
    }
}

/* loading bar */
.loading-container {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 2px;
    border-radius: 0;
    z-index: 9999;
}

.loading-bar {
    width: 0;
    height: 100%;
    background-color: #0e7071;
    animation: loading 0.9s forwards;
}

@keyframes loading {
    0% {
        width: 20%;
        opacity: 1;
    }

    40% {
        width: 40%;
        opacity: 1;
    }

    41% {
        width: 41%;
        opacity: 1;
    }

    45% {
        width: 45%;
        opacity: 1;
    }

    85% {
        width: 85%;
        opacity: 1;
    }

    100% {
        width: 100%;
        opacity: 0;
    }
}

/* error page */
.app-failed {
    display: flex;
    align-items: center;
    justify-content: flex-start;
    padding-top: 0;
}

.err-code {
    letter-spacing: .05em;
    color: #a0aec0;
    padding-left: 1rem;
    padding-right: 1rem;
    font-size: 1.125rem;
    border: 0;
    border-right-width: 1px;
    border-style: solid;
    border-color: #e2e8f0;
}

.err-desc {
    letter-spacing: .05em;
    text-transform: uppercase;
    color: #a0aec0;
    margin-left: 1rem;
    font-size: 1.125rem;
    border: 0 solid #e2e8f0;
}

@media screen and (max-width: 639px) {
    .error-wrapper {
        position: absolute;
        top: 0;
    }

    .app-failed {
        padding-top: 2rem;
    }
}
